#!/bin/bash

if [ $# = 0 ] ; then
    echo "" >&2
    echo "Usage: $0 <interface-name>" >&2
    echo "" >&2
    exit 1
fi

installation=$1

# Looking to scriptify the following sort of svn checkout:
#   svn co https://svn.greenstone.org/gs3-installations/intermuse/trunk/interfaces/intermuse interfaces/intermuse

echo ""
echo "Checking out:"

if [ $installation = "eurovision-lod" ] ; then
    echo "  https://svn.greenstone.org/gs3-installations/$installation/trunk/interfaces/eurovision -> interfaces/eurovision"
    svn co https://svn.greenstone.org/gs3-installations/$installation/trunk/interfaces/eurovision interfaces/eurovision
else
    echo "  https://svn.greenstone.org/gs3-installations/$installation/trunk/interfaces/$installation -> interfaces/$installation"
    svn co https://svn.greenstone.org/gs3-installations/$installation/trunk/interfaces/$installation interfaces/$installation
fi

echo ""


